Skip to main content
PATCH
Update an agent

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Headers

Idempotency-Key
string

Unique key for idempotent requests (24-hour cache)

Path Parameters

agentId
string
required

Agent ID (e.g., agt_...)

Body

application/json
name
string
status
enum<string>
Available options:
active,
paused,
disabled
limits
object
policy
object

Spending policy controls

metadata
object

Response

Agent updated

id
string
required

Unique agent ID

name
string
required

Agent name

status
enum<string>
required

Agent status

Available options:
active,
paused,
disabled
customerId
string | null

Parent customer ID

externalId
string | null

External identifier for the agent

limits
object
policy
object

Spending policy controls

metadata
object
createdAt
string<date-time> | null